summaryrefslogtreecommitdiffstats
path: root/security/nss/automation/taskcluster/image_builder/bin/checkout.sh
diff options
context:
space:
mode:
Diffstat (limited to 'security/nss/automation/taskcluster/image_builder/bin/checkout.sh')
-rw-r--r--security/nss/automation/taskcluster/image_builder/bin/checkout.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/security/nss/automation/taskcluster/image_builder/bin/checkout.sh b/security/nss/automation/taskcluster/image_builder/bin/checkout.sh
new file mode 100644
index 000000000..0cdd2ac40
--- /dev/null
+++ b/security/nss/automation/taskcluster/image_builder/bin/checkout.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+set -v -e -x
+
+# Default values for testing.
+REVISION=${NSS_HEAD_REVISION:-default}
+REPOSITORY=${NSS_HEAD_REPOSITORY:-https://hg.mozilla.org/projects/nss}
+
+# Clone NSS.
+for i in 0 2 5; do
+ sleep $i
+ hg clone -r $REVISION $REPOSITORY nss && exit 0
+ rm -rf nss
+done
+exit 1